org.apache.tools.ant.util

## Class XMLFragment.Child

- java.lang.Object
- - org.apache.tools.ant.util.XMLFragment.Child

All Implemented Interfaces:
  DynamicAttributeNS, DynamicConfiguratorNS, DynamicElementNS

Enclosing class:
  XMLFragment

    public class XMLFragment.Child
    extends java.lang.Object
    implements DynamicConfiguratorNS

An object to handle (recursively) nested elements.

### Method Summary

Methods
`void` `addText(java.lang.String s)` Add nested text.
`java.lang.Object` `createDynamicElement(java.lang.String uri, java.lang.String name, java.lang.String qName)` Creates a nested element.
`void` `setDynamicAttribute(java.lang.String uri, java.lang.String name, java.lang.String qName, java.lang.String value)` Sets the attribute

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addText

    public void addText(java.lang.String s)

Add nested text.

Parameters:
  `s` - the text to add

#### setDynamicAttribute

    public void setDynamicAttribute(java.lang.String uri,
                           java.lang.String name,
                           java.lang.String qName,
                           java.lang.String value)

Sets the attribute

Specified by:
  `setDynamicAttribute` in interface `DynamicAttributeNS`
Parameters:
  `uri` - the uri of the attribute
  `name` - the localname of the attribute
  `qName` - the qualified name of the attribute
  `value` - the value of the attribute

#### createDynamicElement

    public java.lang.Object createDynamicElement(java.lang.String uri,
                                        java.lang.String name,
                                        java.lang.String qName)

Creates a nested element.

Specified by:
  `createDynamicElement` in interface `DynamicElementNS`
Parameters:
  `uri` - the uri of the nested element
  `name` - the localname of the nested element
  `qName` - the qualified name of the nested element
Returns:
  an object that the element is applied to